I thought of it as resistors. If 2 resistors having value x and y are in parallel, then x•y is basically their net resistance. Now consider 2020 resistors having resistance 2¹,2²,2³.....2²⁰²⁰. Then the 2²⁰¹⁹•2²⁰²⁰ (= r say) gives net resistance between resistors R2019 and R2020. Then 2²⁰¹⁸•r gives net resistance between R2018 and the obtained net resistance. Doing this, we finally get net resistance of the whole circuit. But we also know that net resistance for a parallel connection would be → 1/R = 1/R1 + 1/R2 .... 1/R2020. And net resistance should be same irrespective of the procedure. Hence the question is same as 1/(1/2¹ + 1/2² +.... 1/2²⁰²⁰)
For the second solution, I feel like Mike did it the hard way. The definition can be rewritten as: 1/(x•y) = 1/x + 1/y (where I’m using • for the circle operator) But this immediately gives you the associativity relation: 1/(x•(y•z)) = 1/x + 1/(y•z) = 1/x + 1/y + 1/z which gives us the same result (but more quickly and easily, I think). :-D
Ah the parallel operator. In electronics, for two resistors R1 and R2 placed in parallel the effective resistance is given by this operator, which we usually write as R = R1 || R2. The usual definition of the operator in electronics is 1/(R1 || R2) = 1/R1 + 1/R2 which leads pretty quickly to the second solution you presented.
First observation out of the box: That definition of the ○ operator, is simply the harmonic sum. x○y = xy/(x+y) 1/(x○y) = 1/x + 1/y So that operator is associative,* and the target expression becomes simply: 1/[∑ᵢ₌₁²⁰²⁰(2ˉ ͥ)] = 1/[1 - 2ˉ²⁰²⁰] = (2²⁰²⁰/[2²⁰²⁰ - 1]) = 1 + 1/[2²⁰²⁰ - 1] And that's a good place to stop. * Any operator ○, for which f(x ○ y) = f(x) + f(y) where f is a monotonic function, is associative, because f([x ○ y] ○ z) = f(x ○ y) + f(z) = f(x) + f(y) + f(z) = f(x) + f(y ○ z) = f(x ○ [y ○ z]) And since f is monotonic, you can apply its inverse to both ends to obtain [x ○ y] ○ z = x ○ [y ○ z] In the current case, f(x) = 1/x, which is monotonic for x > 0. Fred
The operation o is not defined on all reals/rationals, since the denominator could vanish, so restrict to the non-negative reals. In this case the operation o on (0,∞) is isomorphic to addition on (0,∞) by the map f(x)=x^-1, i.e. f(x+y)=f(x)of(y). Hence, we can translate the problem into finding the well known sum of the sequence 2^-n, and then inverting the result.
I did this by induction from the other side. First by showing that x o (y o z) = (x o y) o z, so the operation is associative and we dont need to care about the brackets. Then we evaluate 2 o 2^2 = 4/3, 2 o 2^2 o 2^3 = 8/7, and so on, and conjecture 2 o 2^2 o ... o 2^n = 2^n/(2^n-1). Then we prove that by induction.
Hey Micheal! Few days ago I came up with a possibly good problem. It might be very easy or very tough. Please consider it! Problem: A number n is called plottable if n point can be plotted in the plane such that the distance between any two points is an integer. Determine all such plottable points. Another Problem is: There are n fixed points/locations assigned to n individual cameramen in a plane. Each cameramen has a camera that can capture a photo of 90 degree range. The cameramen who captures the most cameramen wins. Determine the minimum no. of people in the winner's photo for every n. (3 collinear cameramen count in the picture as 3)
I just realised that and saw someone noticed it too. May I suggest an amelioration to the problem. It may be interesting to look at the case where no three points are aligned!
I think all cases except n = 1 is 1 for the second problem. If you put all the cameraman in a straight line and have them all look perpendicular to the line except for one, which stands behind one of the cameramen, then the only person who captures any cameramen is sole person out of the line, who captures 1 person.
A little bit lazier approach: (x o y) = xy / (x + y) => 1/(x o y) = 1/x + 1/y and then 1/(2^1 o ( 2^2 o (..... o 2^2020) = 1/2 + 1/(2^2) + ... 1/(2^2020)
The sum of any two fractions with a numerator of 1 is equal to the sum of the denominators over the product of the denominators: 1/a + 1/b = (a + b)/(ab). The operation in this video is the reciprocal of that.
I solved this problem ba assuming resistors in parallel. As known, this problem becomes very simple, switching to coductivities instead of resitances. Conductivities of resistors in parallel just add. Therefore I considered 1 over the definition equation: 1/(x o y) = xy/(x+y)=1/x+1/y. Now substituing 1/x and 1/y by x' and 1/y by y' leads to a simple sum of negative powers of 2, which simplifies as shown.
0:20 A priori, we *do* know that it is associative, as well as commutative, since a∘b = f⁻¹(f(a) + f(b)), here f(x) = 1/x and that all such operations inherit their properties from those of the base operator "+". We also know that it is homogeneous to the first degree, so that we may write 2ⁿ∘2ⁿ⁺¹ = 2ⁿ(1∘2) = 2ⁿ·(2/3) = 2ⁿ·(2¹/(2²-1)), 2ⁿ∘2ⁿ⁺¹∘2ⁿ⁺² = 2ⁿ(1∘2(1∘2)) = 2ⁿ(1∘2(2¹/(2²-1))) = 2ⁿ·4/7 = 2ⁿ·(2²/(2³-1)) 2ⁿ∘2ⁿ⁺¹∘2ⁿ⁺²∘2ⁿ⁺³ = 2ⁿ(1∘2(2²/(2³-1))) = 2ⁿ·(2³/(2⁴-1)) ⋯ with the pattern both clear and easily established by an inductive argument. Thus 2¹∘2²∘⋯∘2²⁰¹⁹∘2²⁰²⁰ = 2¹·(2²⁰¹⁹/(2²⁰²⁰-1)) = 2²⁰²⁰/(2²⁰²⁰-1).
Immediately i notice: xy/(x+y) is the harmonic sum, which like the regular sum is fully associative and commutative. Therefore this is 1/sum of 2^-x, from 1 to n. Therefore we get 1/(2^2021-2).
The problem also comes out looking pretty when you look at the numbers in binary (base 2). For instance, in binary, the problem is evaluating 1 o (10 o (100 o ... o (10^(2019 base 10) o 10^(2020 base 10))...) = 10^(2020 base 10) / (1 + 10 + 100 + ... + 10^(2020 base 10)). But notice that the denominator in binary is just 111...1111 with 2020 ones, and it's immediately apparent that this number is, in binary, simply 1000...0000 with 2020 zeros minus 1, or 10^(2021 base 10) - 1. You get a similar look in the second part of the video when evaluating 1/(1/10 + 1/100 + 1/1000 + ... + 1/10^2020). Notice in binary that denominator is just 0.1111...111 with 2020 ones, so it's obviously 1 - 0.000...0001 with 2020 zeroes. Thus the original sum is 1/(1 - 0.000...0001).
Took me a while, but I finally figured it out via induction. Had to show associativity first, much easier to work up from 1 than down from n. Okay, now to enjoy your video :)
First, note the identity (@) (kx) o (ky)=k(x o y) and set T(n)=2^1 o (2^2 o...o(2^(n-1) o 2^n)...) for n>1, in particular T(2)=4/3 and we have to determine T(2020). Using (@) we get for n>2 the expression 2^2 o...o(2^(n-1) o 2^n)...)=2T(n-1), i.e. T(n)=2 o (2T(n-1))=2T(n-1)/(1+T(n-1)). Now easy induction on n>1 yields T(n)=2^n/(2^n-1), so T(2020)=2^2020/(2^2020-1)
Suggested simpler way to present the solution 2^n o (2^(n+m)/z) = 2^(n+m) / (z + 2^m) Apply this formula from the last term and going backward 2¹ o 2² o 2³ o ... o 2²⁰²⁰ = 2²⁰²⁰ / (1 + 2 + 2² + 2³ + .. + 2^2019) = 2²⁰²⁰ / ( 2²⁰²⁰ -1 )
There is 2019 steps. First step is 2^2019 *1/[1+1/2]. Second step 2^2018*1/[1+3/4]. Third step 2^2017*1/[1+7/8].... Finaly step 2^1*1/[1+((2^2019)-1)/2^2019))=2^2020/((2^2020) -1
A king proposes to one of his prisoners. I'm going to start with a billion dollars and multiply that by half that amount and then divide the number by these two sums. You can either take that money and run, after you pay me $50 to get out of prison, or you can let the money ride, where we repeat the process the following day. We'll take that amount and multiply it by half that amount and then divide by the sum of these two amounts. You can take the money at any time or simply wait until the end of the month and then I'll give you the final total. The prisoner, licking his chops, figures if he stays in the prison until the end of the month he'll bankrupt the kingdom. With each passing day he dreams how he'll spend this ever growing windfall. On the last day of the month the prisoner says to the king with an evil grin "give me my money, you sucker!". The king reaches into his wallet, pulls out a crisp one dollar bill. Wait what?! Go get yourself a coffee and donut at the commissary, sorry it's not enough to buy the get of jail free card.
n!! is the product of all even integers from 1 to n if n is even, and the product of all odd integers from 1 to n if n is odd. en.m.wikipedia.org/wiki/Double_factorial
so many powers of 2!!? Well sir, you didn't have to write 2 double factorial. :) *edit:* btw i think ur missing a bracket when writing out 2¹•(2²•(2³•...))
Not necessarily. There exist binary operations which are commutative but not associative. For example, f(x,y)=(x+y)/2. en.m.wikipedia.org/wiki/Commutative_property
I thought of it as resistors. If 2 resistors having value x and y are in parallel, then x•y is basically their net resistance. Now consider 2020 resistors having resistance 2¹,2²,2³.....2²⁰²⁰. Then the 2²⁰¹⁹•2²⁰²⁰ (= r say) gives net resistance between resistors R2019 and R2020. Then 2²⁰¹⁸•r gives net resistance between R2018 and the obtained net resistance. Doing this, we finally get net resistance of the whole circuit. But we also know that net resistance for a parallel connection would be → 1/R = 1/R1 + 1/R2 .... 1/R2020. And net resistance should be same irrespective of the procedure. Hence the question is same as 1/(1/2¹ + 1/2² +.... 1/2²⁰²⁰)
Wow insane!
@@rajchandak8712 thanks:)
lol i didn't think of them as resistors but i also concluded it was 1/(1/2¹ + 1/2² +.... 1/2²⁰²⁰)
Same here. That equation make me think of resisters in parallel
@@virajagr hey bro ,u nailed 👍
For the second solution, I feel like Mike did it the hard way. The definition can be rewritten as:
1/(x•y) = 1/x + 1/y
(where I’m using • for the circle operator)
But this immediately gives you the associativity relation:
1/(x•(y•z)) = 1/x + 1/(y•z)
= 1/x + 1/y + 1/z
which gives us the same result (but more quickly and easily, I think). :-D
That claim is also easier to prove than the second claim in the video
Ah the parallel operator. In electronics, for two resistors R1 and R2 placed in parallel the effective resistance is given by this operator, which we usually write as R = R1 || R2. The usual definition of the operator in electronics is 1/(R1 || R2) = 1/R1 + 1/R2 which leads pretty quickly to the second solution you presented.
First observation out of the box: That definition of the ○ operator, is simply the harmonic sum.
x○y = xy/(x+y)
1/(x○y) = 1/x + 1/y
So that operator is associative,* and the target expression becomes simply:
1/[∑ᵢ₌₁²⁰²⁰(2ˉ ͥ)] = 1/[1 - 2ˉ²⁰²⁰] = (2²⁰²⁰/[2²⁰²⁰ - 1]) = 1 + 1/[2²⁰²⁰ - 1]
And that's a good place to stop.
* Any operator ○, for which
f(x ○ y) = f(x) + f(y)
where f is a monotonic function, is associative, because
f([x ○ y] ○ z) = f(x ○ y) + f(z)
= f(x) + f(y) + f(z)
= f(x) + f(y ○ z) = f(x ○ [y ○ z])
And since f is monotonic, you can apply its inverse to both ends to obtain
[x ○ y] ○ z = x ○ [y ○ z]
In the current case, f(x) = 1/x, which is monotonic for x > 0.
Fred
The operation o is not defined on all reals/rationals, since the denominator could vanish, so restrict to the non-negative reals. In this case the operation o on (0,∞) is isomorphic to addition on (0,∞) by the map f(x)=x^-1, i.e. f(x+y)=f(x)of(y). Hence, we can translate the problem into finding the well known sum of the sequence 2^-n, and then inverting the result.
Another thing we can see from this is that 1o2o3o...on is the reciprocal of the nth Harmonic number H_n :)
I cant believe it, I actually solved the problem!
Me too man !!!
The feeling is mutual!
Reminds me of finding the focal point passing through many lenses
I did this by induction from the other side. First by showing that x o (y o z) = (x o y) o z, so the operation is associative and we dont need to care about the brackets. Then we evaluate 2 o 2^2 = 4/3, 2 o 2^2 o 2^3 = 8/7, and so on, and conjecture 2 o 2^2 o ... o 2^n = 2^n/(2^n-1). Then we prove that by induction.
That's how I did it too 👍
Hey Micheal! Few days ago I came up with a possibly good problem. It might be very easy or very tough. Please consider it!
Problem: A number n is called plottable if n point can be plotted in the plane such that the distance between any two points is an integer. Determine all such plottable points.
Another Problem is: There are n fixed points/locations assigned to n individual cameramen in a plane. Each cameramen has a camera that can capture a photo of 90 degree range. The cameramen who captures the most cameramen wins. Determine the minimum no. of people in the winner's photo for every n. (3 collinear cameramen count in the picture as 3)
Well all numbers are plottable if you keep all points on a straight line
I just realised that and saw someone noticed it too. May I suggest an amelioration to the problem. It may be interesting to look at the case where no three points are aligned!
@@VaradMahashabde he probably just forgot to mention the restriction
I think all cases except n = 1 is 1 for the second problem. If you put all the cameraman in a straight line and have them all look perpendicular to the line except for one, which stands behind one of the cameramen, then the only person who captures any cameramen is sole person out of the line, who captures 1 person.
I think the generalization of this fórmula towards Infinity is much more beautiful. Even more considering it is actually equal to 1.
20:11
deffo an alt account
W! In electricity, this is the parallel of n resistors:
R1//R2//...//Rn = 1/(1/R1+1/R2+...+1/Rn)
A little bit lazier approach: (x o y) = xy / (x + y) => 1/(x o y) = 1/x + 1/y and then 1/(2^1 o ( 2^2 o (..... o 2^2020) = 1/2 + 1/(2^2) + ... 1/(2^2020)
The sum of any two fractions with a numerator of 1 is equal to the sum of the denominators over the product of the denominators: 1/a + 1/b = (a + b)/(ab). The operation in this video is the reciprocal of that.
Nice operator for composing parallel resistors
Please make more geometry videos
the extra dots after the (2^{n-1} \circ 2^n) term have me shook.
Finally a problem to which I can actually follow the entire solution.
first, we know x o (y o z) = (x o y) o z, and let S=2¹o2²o2³...o2²⁰²⁰, also 2^n o 2^n=2^(n-1), also easy to check S o2²⁰²⁰=1, then solve it.
looks like harmonic mean divided by number if elements, so 1/sum(1/2^k, 1, 2020)
The second solution is better then the first, thank you.
I solved this problem ba assuming resistors in parallel. As known, this problem becomes very simple, switching to coductivities instead of resitances. Conductivities of resistors in parallel just add. Therefore I considered 1 over the definition equation: 1/(x o y) = xy/(x+y)=1/x+1/y. Now substituing 1/x and 1/y by x' and 1/y by y' leads to a simple sum of negative powers of 2, which simplifies as shown.
0:20 A priori, we *do* know that it is associative, as well as commutative, since a∘b = f⁻¹(f(a) + f(b)), here f(x) = 1/x and that all such operations inherit their properties from those of the base operator "+". We also know that it is homogeneous to the first degree, so that we may write
2ⁿ∘2ⁿ⁺¹ = 2ⁿ(1∘2) = 2ⁿ·(2/3) = 2ⁿ·(2¹/(2²-1)),
2ⁿ∘2ⁿ⁺¹∘2ⁿ⁺² = 2ⁿ(1∘2(1∘2)) = 2ⁿ(1∘2(2¹/(2²-1))) = 2ⁿ·4/7 = 2ⁿ·(2²/(2³-1))
2ⁿ∘2ⁿ⁺¹∘2ⁿ⁺²∘2ⁿ⁺³ = 2ⁿ(1∘2(2²/(2³-1))) = 2ⁿ·(2³/(2⁴-1))
⋯
with the pattern both clear and easily established by an inductive argument. Thus
2¹∘2²∘⋯∘2²⁰¹⁹∘2²⁰²⁰ = 2¹·(2²⁰¹⁹/(2²⁰²⁰-1)) = 2²⁰²⁰/(2²⁰²⁰-1).
Isn't that called the harmonic mean?
2:01 Michael Penn out of context
Nice problem with nice solve. Awesome.
Immediately i notice: xy/(x+y) is the harmonic sum, which like the regular sum is fully associative and commutative. Therefore this is 1/sum of 2^-x, from 1 to n. Therefore we get 1/(2^2021-2).
I was in a rush and didnt properly account for the numerator
the first thing I checked is (x°y)°z and check if is this symmetric. And G as 2^2020/Σ
The problem also comes out looking pretty when you look at the numbers in binary (base 2). For instance, in binary, the problem is evaluating 1 o (10 o (100 o ... o (10^(2019 base 10) o 10^(2020 base 10))...) = 10^(2020 base 10) / (1 + 10 + 100 + ... + 10^(2020 base 10)). But notice that the denominator in binary is just 111...1111 with 2020 ones, and it's immediately apparent that this number is, in binary, simply 1000...0000 with 2020 zeros minus 1, or 10^(2021 base 10) - 1.
You get a similar look in the second part of the video when evaluating 1/(1/10 + 1/100 + 1/1000 + ... + 1/10^2020). Notice in binary that denominator is just 0.1111...111 with 2020 ones, so it's obviously 1 - 0.000...0001 with 2020 zeroes. Thus the original sum is 1/(1 - 0.000...0001).
This is simple. (x.y)^-1 = 1/(x.y) = 1/x+1/y = x^-1 + y^-1. Therefore, Answer^-1 = 2^-1 + 2^-2 + ... 2^-n = (2^-1) x (1 - 2^-(n-1+1))/(1-2^-1) = 1 - 2^-n = 1 - 2^-n = 1 - 2^-2020. Therefore, Answer = 2^n/(2^n-1) = 2^2020 / (2^2020 - 1).
Math is love math is life.
Things that are permanent in life:
Taxes
Death
Queen Elizabeth
*THE 2^n IN THE NUMERATOR*
Took me a while, but I finally figured it out via induction. Had to show associativity first, much easier to work up from 1 than down from n. Okay, now to enjoy your video :)
But I appreciate learning how to induce downwards with n - k (duh in retrospect)
First, note the identity (@) (kx) o (ky)=k(x o y) and set T(n)=2^1 o (2^2 o...o(2^(n-1) o 2^n)...) for n>1, in particular T(2)=4/3 and we have to determine T(2020). Using (@) we get for n>2 the expression
2^2 o...o(2^(n-1) o 2^n)...)=2T(n-1), i.e. T(n)=2 o (2T(n-1))=2T(n-1)/(1+T(n-1)). Now easy induction on n>1 yields T(n)=2^n/(2^n-1), so T(2020)=2^2020/(2^2020-1)
I actually solved the problem!! I feel so happy!
Suggested simpler way to present the solution
2^n o (2^(n+m)/z) = 2^(n+m) / (z + 2^m)
Apply this formula from the last term and going backward
2¹ o 2² o 2³ o ... o 2²⁰²⁰ = 2²⁰²⁰ / (1 + 2 + 2² + 2³ + .. + 2^2019) = 2²⁰²⁰ / ( 2²⁰²⁰ -1 )
Let F(x)=1/x.
Then F(x o y)=F(x) + F(y).
Your claim follows...
You, sir, are a born trouble-maker.
The question would be better solved if use Geometric progression in the denominator
How does the chalk not break constantly with such large traps?
There is 2019 steps.
First step is 2^2019 *1/[1+1/2].
Second step 2^2018*1/[1+3/4].
Third step 2^2017*1/[1+7/8]....
Finaly step 2^1*1/[1+((2^2019)-1)/2^2019))=2^2020/((2^2020) -1
Beautiful....prove.
This problem is cool but easy
And that a good place to stop !!😁
Good
A king proposes to one of his prisoners. I'm going to start with a billion dollars and multiply that by half that amount and then divide the number by these two sums. You can either take that money and run, after you pay me $50 to get out of prison, or you can let the money ride, where we repeat the process the following day. We'll take that amount and multiply it by half that amount and then divide by the sum of these two amounts. You can take the money at any time or simply wait until the end of the month and then I'll give you the final total.
The prisoner, licking his chops, figures if he stays in the prison until the end of the month he'll bankrupt the kingdom. With each passing day he dreams how he'll spend this ever growing windfall.
On the last day of the month the prisoner says to the king with an evil grin "give me my money, you sucker!". The king reaches into his wallet, pulls out a crisp one dollar bill. Wait what?! Go get yourself a coffee and donut at the commissary, sorry it's not enough to buy the get of jail free card.
You have a dog @ 5:58
He might already know that
Is this recurance?
I don't inderstand this method
Yes induction in English is "recurrence" in French
Ah, OK I understand tnx
induction is a proof technique, recurrence is a feature of algorithms or definitions
what does 2 DOUBLE factorial mean? (2!!)
n!! is the product of all even integers from 1 to n if n is even, and the product of all odd integers from 1 to n if n is odd. en.m.wikipedia.org/wiki/Double_factorial
so many powers of 2!!? Well sir, you didn't have to write 2 double factorial. :)
*edit:* btw i think ur missing a bracket when writing out 2¹•(2²•(2³•...))
2^8×10^3 subscribers🎉
Honestly, I didn't like this problem...
CMU\m/
T
What does the ellipsis after (2^2019 ○ 2^2020) mean? Don't we stop at 2020 ?
It's for all the closing parentheses
@@boristerbeek319 ah, thanks
"A priori we do not know if it's associative or not"
Excuse me, but isn't the associative property a corollary of the commutative property?
Not necessarily. There exist binary operations which are commutative but not associative. For example, f(x,y)=(x+y)/2. en.m.wikipedia.org/wiki/Commutative_property